Module jdk.compiler
Package com.sun.source.tree

## Interface ExpressionStatementTree

All Superinterfaces:
  `StatementTree`, `Tree`

    public interface ExpressionStatementTree
    extends StatementTree

A tree node for an expression statement. For example:

       expression ;

Since:
  1.6
See The Java™ Language Specification:
  section 14.8

### Nested Class Summary

### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExpressionTree` `getExpression()` Returns the expression constituting this statement.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getExpression

    ExpressionTree getExpression()

Returns the expression constituting this statement.

Returns:
  the expression